# pw -- Password generator

## Quick start

### Build

#### Dependencies

First build & install
[libscnumerics](https://git.bobpolis.com/bob/libscnumerics).

Then:

`make`

### Install

`sudo make install`

Or, on OpenBSD:

`doas gmake install`

### Usage

`pw`

Generate password using default settings.

## Examples

Generate a password with at least one lower case letter, one upper case letter,
and one digit, with a length of 20 characters:

`pw -l 1 -u 1 -d 1 -c 20`

or, more compact:

`pw -l1 -u1 -d1 -c20`

Generate a password containing symbols from a given set:

`pw -S '+-=@'`

## Documentation

Full documentation is in the man page:

`man pw`
